Type to search.

Create a Fleet Server host

Base URL
https://{kibana_url}
  • POST /api/fleet/fleet_server_hosts
  • POST /s/{space_id}/api/fleet/fleet_server_hosts
Auth

Create a new Fleet Server host.

Required privileges

Privileges fleet-settings-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10 required
id string
is_default boolean · default: false
is_internal boolean
is_preconfigured boolean · default: false
name string required
proxy_id string nullable

Responses

Successful response

application/json
item object required
allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10 required
id string required
is_default boolean · default: false
is_internal boolean
is_preconfigured boolean · default: false
name string required
proxy_id string nullable